MODULE := engines/gob

MODULE_OBJS := \
	dataio.o \
	detection.o \
	draw.o \
	draw_v1.o \
	draw_v2.o \
	driver_vga.o \
	expression.o \
	game.o \
	global.o \
	gob.o \
	goblin.o \
	goblin_v1.o \
	goblin_v2.o \
	goblin_v3.o \
	hotspots.o \
	init.o \
	init_v1.o \
	init_v2.o \
	init_v3.o \
	inter.o \
	inter_v1.o \
	inter_v2.o \
	inter_v3.o \
	map.o \
	map_v1.o \
	map_v2.o \
	mult.o \
	mult_v1.o \
	mult_v2.o \
	palanim.o \
	resources.o \
	scenery.o \
	scenery_v1.o \
	scenery_v2.o \
	script.o \
	totfile.o \
	util.o \
	variables.o \
	video.o \
	video_v1.o \
	video_v2.o \
	videoplayer.o \
	save/savefile.o \
	save/savehandler.o \
	save/saveload.o \
	save/saveload_v2.o \
	save/saveload_v3.o \
	save/saveconverter.o \
	save/saveconverter_v2.o \
	save/saveconverter_v3.o \
	save/saveconverter_v4.o \
	save/saveconverter_v6.o \
	sound/sound.o \
	sound/sounddesc.o \
	sound/pcspeaker.o \
	sound/adlib.o \
	sound/infogrames.o \
	sound/protracker.o \
	sound/soundmixer.o \
	sound/soundblaster.o \
	sound/cdrom.o \
	sound/bgatmosphere.o

# This module can be built as a plugin
ifeq ($(ENABLE_GOB), DYNAMIC_PLUGIN)
PLUGIN := 1
endif

# Include common rules
include $(srcdir)/rules.mk
